# Copyright 1999-2017. Plesk International GmbH. All rights reserved.

from fsmng_stat import FileStat

FILES_AC = {
    "/dev/null": ('0666', 'root', 'root', FileStat.CHR),
    "/dev/random": ('0666', 'root', 'root', FileStat.CHR),
    "/dev/urandom": ('0666', 'root', 'root', FileStat.CHR),

    "/dev/log": ('0666', 'root', 'root', FileStat.SCK),
    "/run/systemd/journal/dev-log": None,

    "/var/lock": ('0775', 'root', 'lock', FileStat.DIR),
    "/run/lock": None,

    "/etc": ('0755', 'root', 'root', FileStat.DIR),
    "/etc/psa-webmail": ('0755', 'root', 'root', FileStat.DIR),
    "/etc/psa-webmail/horde": ('0755', 'root', 'root', FileStat.DIR),
    "/etc/psa-webmail/horde/.horde.shadow": ('0640', 'root', 'horde_sysgroup', FileStat.REG),
    "/etc/passwd": ('0644', 'root', 'root', FileStat.REG),

    "/etc/init.d/postfix": ('0755', 'root', 'root', FileStat.REG),
    "/usr/lib/systemd/system/postfix.service": None,

    '/var': ('0755', 'root', 'root', FileStat.DIR),

    '/var/log': ('0755', 'root', 'root', FileStat.DIR),
    '/var/log/psa-horde': ('0750', 'horde_sysuser', 'root', FileStat.DIR),
    '/var/log/psa-horde/psa-horde.log': ('0640', 'horde_sysuser', 'horde_sysgroup', FileStat.REG),

    '/etc/sw': ('0755', 'root', 'root', FileStat.DIR),
    '/etc/sw/keys': ('02770', 'root', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/backup': ('02770', 'root', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/instances': ('02770', 'root,psaadm', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/keys': ('02770', 'root', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/lock': ('02770', 'root', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/restart': ('02770', 'root', 'swkey-data', FileStat.DIR),

    '/etc/sw/keys/registry.xml': ('0660', 'root,psaadm', 'swkey-data', FileStat.REG),
    '/etc/sw/keys/info': ('0644', 'root', 'swkey-data', FileStat.REG),

    '/usr/lib64/plesk-9.0/sendmail': ('0750', 'root', 'plesksendmail', FileStat.DIR),
    '/usr/lib64/plesk-9.0/sendmail/sendmail.postfix': ('0755', 'root', 'root', FileStat.REG),
    '/usr/lib64/plesk-9.0/postfix-sendmail-wrapper': ('04555', 'root', 'root', FileStat.REG),
    '/usr/sbin/postdrop': ('02755', 'root', 'postdrop', FileStat.REG),
    '/usr/lib64/plesk-9.0/sendmail/postdrop': ('02755', 'root', 'postdrop', FileStat.REG),
    '/usr/sbin/sendmail': ('0777', 'root', 'root', FileStat.LNK, '/etc/alternatives/mta'),
    '/etc/alternatives/mta': ('0777', 'root', 'root', FileStat.LNK, '/usr/lib64/plesk-9.0/postfix-sendmail-wrapper'),
    '/usr/sbin/sendmail.postfix': ('0777', 'root', 'root', FileStat.LNK, '/usr/lib64/plesk-9.0/sendmail/sendmail.postfix'),

    '/usr/lib64/plesk-9.0/qmail-sendmail-wrapper': ('04555', 'root', 'root', FileStat.REG),

    '/etc/psa/private/secret_key': ('0600', 'psaadm', 'root', FileStat.REG),

    '/var/www/cgi-bin/cgi_wrapper': ('0755', 'root', 'root', FileStat.DIR),
    '/var/www/cgi-bin/cgi_wrapper/cgi_wrapper': ('0755', 'root', 'root', FileStat.REG),

    '/usr/local/psa/admin/sbin/wrapper': ('04510', 'root', 'psaadm', FileStat.REG),
    '/usr/local/psa/admin/sbin/mod_wrapper': ('04510', 'root', 'psaadm', FileStat.REG),
    '/usr/local/psa/PMM/tmp': ('0755', 'psaadm', 'psaadm', FileStat.DIR),
}
